Redmine - Defect #18306

Second, different IssueStatusesControllerTest#test_destroy_should_block_if status_in_use
introduced in r13535

2014-11-08 06:48 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description

r13535 introduces a second and different IssueStatusesControllerTest#test_destroy_should_block_if_status_in_use (
source:/trunk/test/functional/issue_statuses_controller_test.rb@13569#L110) while a method with that exact name is already defined

at source:/trunk/test/functional/issue_statuses_controller_test.rb@13569#L.99.
If I understand the code correctly, | think naming them respectively:

¢ |ssueStatusesControllerTest#test_destroy with_default_status_id_should_block_if status_in_use and
¢ |IssueStatusesControllerTest#test_destroy_with_status_id_should_block_if_status_in_use

better describes the tests intentions.

I'm not entirely sure if this is a real problem or not, but | thought it might be worth an issue.

Associated revisions

Revision 13575 - 2014-11-08 12:02 - Jean-Philippe Lang
Fixed duplicate test names (#18306).

History

#1 - 2014-11-08 12:03 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13575, thanks for poiting this out!

2025-06-18 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/13535
https://www.redmine.org/projects/redmine/repository/svn/revisions/13569/entry/trunk/test/functional/issue_statuses_controller_test.rb#L110
https://www.redmine.org/projects/redmine/repository/svn/revisions/13569/entry/trunk/test/functional/issue_statuses_controller_test.rb#L99
https://www.redmine.org/projects/redmine/repository/svn/revisions/13575
http://www.tcpdf.org

